# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Getopt-Base
%define upstream_version v0.0.3

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt2_7

Summary:    Foundation for oo GetOpt support
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module/Build.pm)
BuildRequires: perl(Test/More.pm)
BuildArch:  noarch
Source44: import.info

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml  README
%perl_vendor_privlib/*

%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> v0.0.3-alt2_7
- update by mgaimport

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> v0.0.3-alt2_6
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> v0.0.3-alt2_5
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> v0.0.3-alt2_4
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> v0.0.3-alt2_3
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> v0.0.3-alt2_2
- rebuild to get rid of unmets

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> v0.0.3-alt1_2
- mga update

* Wed Aug 07 2013 Igor Vlasenko <viy@altlinux.ru> v0.0.3-alt1_1
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> v0.0.2-alt1_1
- converted for ALT Linux by srpmconvert tools

